Page MenuHomePhabricator

CommunityConfiguration: Release extension to all Wikipedias with GrowthExperiments
Open, HighPublic1 Estimated Story PointsWed, Jul 17

Description

Task for deploying CommunityConfiguration all Wikis that have GrowthExperiments deployed and enabled and setting $wgGEUseCommunityConfigurationExtension to true by default.


User Story:

As a Wikimedian, I want a way to customize local wiki configuration options easily, because each language wiki has unique needs.


Workboard: MediaWiki-extensions-CommunityConfiguration
Epic: T323811: [EPIC] Community configuration 2.0: Factor Community configuration out of GrowthExperiments
Release plan: T360571: CommunityConfiguration Extension Release Plan
Mediawiki Project Page: Community_configuration_2.0


Acceptance Criteria:

Given I'm on a Wikipedia that has the GrowthExperiments extension enabled,
When I visit Special:CommunityConfiguration,
Then I can view local configuration settings (and I can edit them if I am an admin)

If we run into any issues while scaling, break up that work into subtasks.

Related Objects

Event Timeline

KStoller-WMF renamed this task from Date TBD: Switch GrowthExperiments to using CommunityConfiguration on all Wikis to Date TBD: Switch GrowthExperiments to using CommunityConfiguration on all Wikipedias with GrowthExperiments.Jun 17 2024, 1:49 PM
KStoller-WMF updated the task description. (Show Details)
KStoller-WMF renamed this task from Date TBD: Switch GrowthExperiments to using CommunityConfiguration on all Wikipedias with GrowthExperiments to CommunityConfiguration: Release extension to all Wikipedias with GrowthExperiments.Jun 21 2024, 1:57 AM

Is this ready for use in other extensions ?

Is this ready for use in other extensions ?

Hi @Soda, not quite yet. The Community Configuration extension is still being progressively deployed to all Wikipedias. We also hope to improve developer guidelines and guidelines for use ASAP.

We are starting to work on tasks to ensure the extension works for a wider variety of use cases, so if you want to share what extension / use case you are thinking about, that might be helpful as we start to prioritize further improvements for the Community Configuration extension. Thanks for your interest and feedback you provided in the past!

KStoller-WMF moved this task from Backlog to Up Next on the Growth-Team board.
KStoller-WMF updated the task description. (Show Details)
Urbanecm_WMF changed the subtype of this task from "Task" to "Deadline".Tue, Jul 2, 4:02 PM
Urbanecm_WMF subscribed.

Based on a conversation with @KStoller-WMF, I'm tentatively setting the release date for this task to Wednesday, July 17. Before the deployment date, we should work on T368606: Community configuration defaults are not merged with partially-specified objects to avoid confusion in not seeing (applying) defaults in certain cases.

KStoller-WMF set the point value for this task to 1.Tue, Jul 9, 4:15 PM

I booked a window for this on the deployments calendar. The release is scheduled for Wednesday July 17, between 11:00 and 13:00 UTC.

Change #1053884 had a related patch set uploaded (by Urbanecm; author: Urbanecm):

[operations/mediawiki-config@master] CommunityConfiguration: Release to all Growth wikis, except frwiktionary

https://gerrit.wikimedia.org/r/1053884

Change #1053884 merged by jenkins-bot:

[operations/mediawiki-config@master] CommunityConfiguration: Release to all Growth wikis, except frwiktionary

https://gerrit.wikimedia.org/r/1053884

Mentioned in SAL (#wikimedia-operations) [2024-07-17T11:49:05Z] <urbanecm@deploy1002> Started scap sync-world: Backport for [[gerrit:1053884|CommunityConfiguration: Release to all Growth wikis, except frwiktionary (T366458)]]

Mentioned in SAL (#wikimedia-operations) [2024-07-17T11:51:38Z] <urbanecm@deploy1002> urbanecm: Backport for [[gerrit:1053884|CommunityConfiguration: Release to all Growth wikis, except frwiktionary (T366458)]] synced to the testservers (https://wikitech.wikimedia.org/wiki/Mwdebug)

Mentioned in SAL (#wikimedia-operations) [2024-07-17T11:52:36Z] <urbanecm> [urbanecm@mwdebug1001 ~]$ foreachwikiindblist growthexperiments extensions/GrowthExperiments/maintenance/migrateCommunityConfig.php # T366458; output logged to migrateCommunityConfig.log in my home

Change #1054874 had a related patch set uploaded (by Urbanecm; author: Urbanecm):

[operations/mediawiki-config@master] dewiki: Disable CommunityConfiguration

https://gerrit.wikimedia.org/r/1054874

Mentioned in SAL (#wikimedia-operations) [2024-07-17T12:19:11Z] <urbanecm> (relogging to attach to the task) migrateCommunityConfig.php finished, logs are available at https://phabricator.wikimedia.org/P66724 (T366458)

Change #1054874 merged by jenkins-bot:

[operations/mediawiki-config@master] dewiki: Disable CommunityConfiguration

https://gerrit.wikimedia.org/r/1054874

Mentioned in SAL (#wikimedia-operations) [2024-07-17T12:21:10Z] <urbanecm@deploy1002> Started scap sync-world: Backport for [[gerrit:1053884|CommunityConfiguration: Release to all Growth wikis, except frwiktionary (T366458)]], [[gerrit:1054874|dewiki: Disable CommunityConfiguration (T366458)]]

Mentioned in SAL (#wikimedia-operations) [2024-07-17T12:23:42Z] <urbanecm@deploy1002> urbanecm: Backport for [[gerrit:1053884|CommunityConfiguration: Release to all Growth wikis, except frwiktionary (T366458)]], [[gerrit:1054874|dewiki: Disable CommunityConfiguration (T366458)]] synced to the testservers (https://wikitech.wikimedia.org/wiki/Mwdebug)

Mentioned in SAL (#wikimedia-operations) [2024-07-17T12:29:41Z] <urbanecm@deploy1002> Finished scap: Backport for [[gerrit:1053884|CommunityConfiguration: Release to all Growth wikis, except frwiktionary (T366458)]], [[gerrit:1054874|dewiki: Disable CommunityConfiguration (T366458)]] (duration: 08m 30s)

This happened today, with the exception of dewiki. The issue was that Special:EditGrowthConfig shows Add Link (structured) as Disabled in site configuration, and CC2.0 behaves incorrectly (it shows it as enabled). We should figure out what the desired behaviour is and redeploy – this was filled by @Sgs as T370261: Release CommunityConfiguration extension to dewiki (thanks!).